"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GaugeAnimated = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lib = require("gauge-animated/lib");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var propTypes = {
  value: _propTypes["default"].number
};
var defaultProps = {
  value: 0
};

var GaugeAnimated = function GaugeAnimated(props) {
  var value = props.value;
  var div = (0, _react.useRef)();
  var gauge = (0, _react.useRef)();
  (0, _react.useEffect)(function () {
    gauge.current = (0, _lib.createGauge)(div.current, props);
    gauge.current.setTarget(value);
  }, []);
  (0, _react.useEffect)(function () {
    gauge.current.setTarget(value);
  }, [value]);
  return _react["default"].createElement("div", {
    ref: div
  });
};

exports.GaugeAnimated = GaugeAnimated;
GaugeAnimated.propTypes = propTypes;
GaugeAnimated.defaultProps = defaultProps;