"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Table = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/styles");

var _Divider = _interopRequireDefault(require("@material-ui/core/Divider"));

var _Table = _interopRequireDefault(require("@material-ui/core/Table"));

var _TableBody = _interopRequireDefault(require("@material-ui/core/TableBody"));

var _TableRow = _interopRequireDefault(require("@material-ui/core/TableRow"));

var _TableCell = _interopRequireDefault(require("@material-ui/core/TableCell"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// import { withStyles } from '@material-ui/core/styles';
// const styles = () => ({
var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    tableContainer: {
      overflowY: 'auto',
      height: '100%'
    },
    wordBreak: {
      wordBreak: 'break-all'
    },
    lesserRightPadding: {
      paddingRight: theme.spacing(1)
    }
  };
}); // });

var propTypes = {
  // classes: PropTypes.objectOf(PropTypes.any).isRequired,
  data: _propTypes["default"].objectOf(_propTypes["default"].any),
  style: _propTypes["default"].objectOf(_propTypes["default"].any)
};
var defaultProps = {
  style: {},
  data: {}
}; // const hoc = withStyles(styles);

var TableC = function TableC(_ref) {
  var style = _ref.style,
      data = _ref.data;
  var classes = useStyles();
  if (!data) return null;
  return _react["default"].createElement("div", {
    style: style,
    className: classes.tableContainer
  }, _react["default"].createElement(_Divider["default"], null), _react["default"].createElement(_Table["default"], null, _react["default"].createElement(_TableBody["default"], null, Object.keys(data).map(function (heading) {
    return _react["default"].createElement(_TableRow["default"], {
      key: heading
    }, _react["default"].createElement(_TableCell["default"], {
      className: classes.lesserRightPadding
    }, heading), _react["default"].createElement(_TableCell["default"], {
      className: classes.cell
    }, data[heading]));
  }))));
};

TableC.propTypes = propTypes;
TableC.defaultProps = defaultProps;
var Table = TableC;
exports.Table = Table;